.main-navigation {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 60px;
	width: 100%;
	max-width: 1900px;
	margin-left: auto;
	margin-right: auto;
	position: relative;
}

.primary-menu {
	display: flex;
	gap: 20px;
	list-style: none;
	margin-top: 0;
	margin-bottom: 0;
	padding: 0;
}

.search-form--main {
	position: relative;
	width: 100%;
}

.search-field--main {
	background-color: #e3e7ee;
	border-radius: 50px;
	border: none;
	font-size: 1rem;
	height: 38px;
	padding-left: 20px;
	padding-right: 38px;
	width: 100%;
}

.search-field--main:focus {
	box-shadow: 0 1px 1px 0 rgba(89, 89, 89, 0.4);
}

.search-submit {
	background: none;
	border: none;
	position: absolute;
	top: 0;
	bottom: 0;
	right: 0;
	border-radius: 50%;
	width: 38px;
	height: 38px;
	padding: 5px;
}

.ri-search-line {
	width: 20px;
	margin-top: 2px;
}

/* User tools */
.tools-menu .cart-icon--bc {
	display: block;
	width: 40px;
}

.tools-menu {
	display: flex;
	list-style: none;
	margin-top: auto;
	margin-bottom: auto;
	padding-left: 0;
	padding-right: 20px;
	gap: 16px;
}

.tools-menu li {
	display: flex;
	align-items: center;
	flex-direction: column;
}

.tools-menu .menu-item {
	font-size: 1rem;
	line-height: 1.1;
	justify-content: center;
	text-wrap: nowrap;
	position: relative;
}

.tools-menu-link {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}

.tools-menu a {
	text-decoration: none;
}

/* .tools-account .tools-menu-link::before {
	content: "";
	background-image: url(../../../images/icons/account-arrow-left-outline.svg);
	background-size: contain;
	display: block;
	width: 32px;
	height: 32px;
} */

.tools-account .tools-menu-link::before {
	content: "";
	display: block;
	width: 32px;
	height: 32px;
	background-color: var(--body-link-color);
	/* koristi trenutnu boju teksta */
	mask-image: url(../../../images/icons/account-arrow-left-outline.svg);
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	-webkit-mask-image: url(../../../images/icons/account-arrow-left-outline.svg);
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;
}

.tools-account .tools-menu-link {

}

.tools-account .tools-menu-link:hover {

}


.menu-toggle {
	background-color: var(--nav-background);
	border: none;
}

#hamburger-icon {
	width: 42px;
	height: 29px;
	position: relative;
	margin: auto;
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
	cursor: pointer;
}

#hamburger-icon span {
	display: block;
	position: absolute;
	height: 3px;
	width: 100%;
	background: #000;
	border-radius: 1px;
	opacity: 1;
	left: 0;
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .25s ease-in-out;
	transition: .25s ease-in-out;
}

#hamburger-icon span:nth-child(1) {
	top: 0px;
}

#hamburger-icon span:nth-child(2),
#hamburger-icon span:nth-child(3) {
	top: 10px;
}

#hamburger-icon span:nth-child(4) {
	top: 20px;
}

.menu-toggle--open #hamburger-icon span:nth-child(1) {
	top: 10px;
	width: 0%;
	left: 50%;
}

.menu-toggle--open #hamburger-icon span:nth-child(2) {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}

.menu-toggle--open #hamburger-icon span:nth-child(3) {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.menu-toggle--open #hamburger-icon span:nth-child(4) {
	top: 10px;
	width: 0%;
	left: 50%;
}

.hamburger-menu-text {
	font-size: 1rem;
	line-height: 1.1;
	text-align: center;
}

.subcat-nav {
	width: 100%;
}

.subcat-item {
	width: 100px;
}

.subcat-nav-list {
	list-style: none;
	padding: 0;
	display: flex;
	gap: 15px;
	justify-content: center;
}

.subcat-item__link {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}

.subcat-item__thumb {
	display: flex;
	align-items: center;
	width: 80px;
	height: 80px;
	position: relative;
	border: 4px solid #fff;
	border-radius: 50%;
	color: #000;
	font-size: 14px;
	box-shadow: 5px 15px 25px rgba(89, 89, 89, 0.14);
	margin-bottom: 10px;
	background: #fff;
	transition: border-color .3s;
	text-align: center;
	-webkit-backface-visibility: hidden;
	-webkit-tap-highlight-color: transparent;
}

.subcat-item--active .subcat-item__thumb,
.current-subcat-item--ancestor .subcat-item__thumb {
	border-color: red;
}

.subcat-item__name {
	/* font-size: 1rem; */
}

.product-cat-tree-wrapper {
	margin-bottom: 1em;
}

.cat-item--top {
	display: block;
	font-size: 1.125em;
	font-weight: bold;
	padding-bottom: 10px;
}

.product-cat-tree {
	list-style: none;
	margin-top: 0;
	margin-bottom: 0;
	padding-left: 0;
}

.product-sub-cat-tree {
	list-style: none;
	padding-left: 15px;
}

.cat-item--link {
	display: inline-block;
	margin-top: 3px;
	margin-bottom: 3px;
	padding-top: 1px;
	padding-bottom: 1px;
	padding-left: 20px;
	position: relative;
}

.cat-item--link::before {
	content: "";
	display: inline-block;
	background-image: url(../../../images/icons/chevron-right.svg);
	background-size: contain;
	position: absolute;
	width: 14px;
	height: 14px;
	top: 0;
	bottom: 0;
	left: 0;
	margin-top: auto;
	margin-bottom: auto;
}

.current-cat>.cat-item--link,
.current-cat-parent>.cat-item--link {
	font-weight: bold;
}
